package net.northking.cctp.testbug.dto.project;

import java.io.Serializable;

/**
 * @author: puchao.ma
 * @date: 2021/11/29 10:06
 */
public class StatusRoleDto implements Serializable {

    private Boolean finishedState;

    private String projectId;

    private Boolean initialState;

    private String tenantId;

    private String status;

    //查询初态流程id为空时是否需要从字典中拿状态
    private Boolean includeDic;

    public Boolean getIncludeDic() {
        return includeDic;
    }

    public void setIncludeDic(Boolean includeDic) {
        this.includeDic = includeDic;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Boolean getInitialState() {
        return initialState;
    }

    public void setInitialState(Boolean initialState) {
        this.initialState = initialState;
    }

    public Boolean getFinishedState() {
        return finishedState;
    }

    public void setFinishedState(Boolean finishedState) {
        this.finishedState = finishedState;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public StatusRoleDto(){

    }
}
